/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.human.dto;

import jp.mosp.common.common.BaseDto;

/**
 * M_EMERGENCY(緊急連絡先)のDTOクラス。
 */
public class MEmergencyDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private int					emcode				= 0;					//連番
	private String				kcode				= "";					//社員コード
	private String				name				= "";					//連絡先氏名
	private String				phone				= "";					//電話番号
	private String				cell				= "";					//携帯番号
	private String				postalcode			= "";					//郵便番号
	private int					prefectures			= 0;					//都道府県コード
	private String				jyuusyo1			= "";					//住所１
	private String				jyuusyo2			= "";					//住所２
	private String				jyuusyo3			= "";					//住所３
	private int					deleteflag			= 0;					//削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public MEmergencyDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return emcode 	連番。
	 */
	public int getEmCode() {
		return emcode;
	}
	
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return name 	連絡先氏名。
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * @return phone 	電話番号。
	 */
	public String getPhone() {
		return phone;
	}
	
	/**
	 * @return cell 	携帯番号。
	 */
	public String getCell() {
		return cell;
	}
	
	/**
	 * @return postalcode 	郵便番号。
	 */
	public String getPostalCode() {
		return postalcode;
	}
	
	/**
	 * @return prefectures 	都道府県コード。
	 */
	public int getPrefectures() {
		return prefectures;
	}
	
	/**
	 * @return jyuusyo1 	住所１。
	 */
	public String getJyuusyo1() {
		return jyuusyo1;
	}
	
	/**
	 * @return jyuusyo2 	住所２。
	 */
	public String getJyuusyo2() {
		return jyuusyo2;
	}
	
	/**
	 * @return jyuusyo3 	住所３。
	 */
	public String getJyuusyo3() {
		return jyuusyo3;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param emcode 	セットする連番。
	 */
	public void setEmCode(int emcode) {
		this.emcode = emcode;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param name 	セットする連絡先氏名。
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * @param phone 	セットする電話番号。
	 */
	public void setPhone(String phone) {
		this.phone = phone;
	}
	
	/**
	 * @param cell 	セットする携帯番号。
	 */
	public void setCell(String cell) {
		this.cell = cell;
	}
	
	/**
	 * @param postalcode 	セットする郵便番号。
	 */
	public void setPostalCode(String postalcode) {
		this.postalcode = postalcode;
	}
	
	/**
	 * @param prefectures 	セットする都道府県コード。
	 */
	public void setPrefectures(int prefectures) {
		this.prefectures = prefectures;
	}
	
	/**
	 * @param jyuusyo1 	セットする住所１。
	 */
	public void setJyuusyo1(String jyuusyo1) {
		this.jyuusyo1 = jyuusyo1;
	}
	
	/**
	 * @param jyuusyo2 	セットする住所２。
	 */
	public void setJyuusyo2(String jyuusyo2) {
		this.jyuusyo2 = jyuusyo2;
	}
	
	/**
	 * @param jyuusyo3 	セットする住所３。
	 */
	public void setJyuusyo3(String jyuusyo3) {
		this.jyuusyo3 = jyuusyo3;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
